var width = 480;	// SVG領域の横幅
var height = 480;	// SVG領域の縦幅
var degree = 220;	// 地球の回転角度
var earth = d3.geo.orthographic()	// 投影方法を指定
	.translate([width / 2, height /2])	// 表示位置を調整
	.clipAngle(90)	// クリップ範囲を指定
	.scale(200)	// スケールを指定
	.rotate([degree, -25])	// 角度を指定
var path = d3.geo.path()
	.projection(earth)
// SVG領域のサイズを指定
var svg = d3.select("#myEarth").append("svg")
	.attr("width", width)	// 横幅を指定
	.attr("height", height);	// 縦幅を指定
svg.append("defs").append("path")	// 地球儀の外側の枠を描画
	.datum({type: "Sphere"})
	.attr("id", "sphere")
	.attr("d", path);
svg.append("use")
	.attr("class", "stroke")
	.attr("xlink:href", "#sphere")
// 地球のデータを読み込む
d3.json("data/world-50m.json", function(error, world) {
	var earthPath = svg.insert("path", ".graticule")
		.datum(topojson.feature(world, world.objects.land))
		.attr("d", path);	// 地形のデータを設定
	// タイマーを使って0.5秒ごとに地球を回転させる
	d3.timer(function(){
		earth.rotate([degree, -25]);	// 角度を設定
		degree = degree + 2;	// 
		earthPath.attr("d", path);	// 地形のデータを設定
	}, 500);
});
